package com.prolog.upcloud.base.wh.operate.model;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description  库存调整主表
 * @Date 2021-04-07
 */
@ApiModel
@Table ( value ="wms_adjust_h" )
public class WmsAdjustH  implements Serializable {
	private static final long serialVersionUID =  2089224990215317255L;
	@Id
	@ApiModelProperty(value = "单头ID")
	@Column(value = "adjust_header_id")
	private String adjustHeaderId;

	@ApiModelProperty(value = "单据自动号")
	@Column(value = "auto_bill_num")
	private String autoBillNum;

	@ApiModelProperty(value = "手工单号")
	@Column(value = "custom_bill_num")
	private String customBillNum;

	@ApiModelProperty(value = "企业id")
	@Column(value = "enterprise_id")
	private String enterpriseId;

	@ApiModelProperty(value = "仓配中心ID")
	@Column(value = "dc_id")
	private String dcId;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "warehouse_id")
	private String warehouseId;

	@ApiModelProperty(value = "货主ID")
	@Column(value = "cargo_owner_id")
	private String cargoOwnerId;

	@ApiModelProperty(value = "状态(预留字段，整单审核时有用)")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "调整日期")
	@Column(value = "adjust_date")
	private Date adjustDate;

	@ApiModelProperty(value = "预留字段")
	@Column(value = "segment1")
	private String segment1;

	@ApiModelProperty(value = "预留字段")
	@Column(value = "segment2")
	private String segment2;

	@ApiModelProperty(value = "预留字段")
	@Column(value = "segment3")
	private String segment3;

	@ApiModelProperty(value = "预留字段")
	@Column(value = "segment4")
	private String segment4;

	@ApiModelProperty(value = "预留字段")
	@Column(value = "segment5")
	private String segment5;

	@Column(value = "access_level")
	private String accessLevel;

	@Column(value = "gmt_create")
	private Date gmtCreate;

	@Column(value = "creator")
	private String creator;

	@Column(value = "creator_name")
	private String creatorName;

	@Column(value = "gmt_modified")
	private Date gmtModified;

	@Column(value = "modifier")
	private String modifier;

	@Column(value = "modifier_name")
	private String modifierName;

	@Column(value = "audit_date")
	private Date auditDate;

	@Column(value = "audited_name")
	private String auditedName;

	@Column(value = "audited_by")
	private String auditedBy;

	@Column(value = "print_count")
	private BigDecimal printCount;

	@Column(value = "print_date")
	private Date printDate;

	@Column(value = "printed_by")
	private String printedBy;

	@Column(value = "printed_name")
	private String printedName;

	@Column(value = "attribute1")
	private String attribute1;

	@Column(value = "attribute2")
	private String attribute2;

	@Column(value = "attribute3")
	private String attribute3;

	@Column(value = "attribute4")
	private String attribute4;

	@ApiModelProperty(value = "(数据来源1为wms 2为 erp发起的调整)")
	@Column(value = "attribute5")
	private String attribute5;

	@Column(value = "comments")
	private String comments;

	@ApiModelProperty(value = "来源单ID(盘点单CHECK_HEADER_ID)")
	@Column(value = "src_bill_h_id")
	private String srcBillHId;

	@ApiModelProperty(value = "调整类型（0：计划盘点 1：无计划盘点 2：WMS调整 3: erp发起）")
	@Column(value = "adjust_type")
	private String adjustType;

	public String getAdjustType() {
		return adjustType;
	}

	public void setAdjustType(String adjustType) {
		this.adjustType = adjustType;
	}

	public String getAdjustHeaderId() {
		return this.adjustHeaderId;
	}

	public void setAdjustHeaderId(String adjustHeaderId) {
		this.adjustHeaderId = adjustHeaderId;
	}

	public String getAutoBillNum() {
		return this.autoBillNum;
	}

	public void setAutoBillNum(String autoBillNum) {
		this.autoBillNum = autoBillNum;
	}

	public String getCustomBillNum() {
		return this.customBillNum;
	}

	public void setCustomBillNum(String customBillNum) {
		this.customBillNum = customBillNum;
	}

	public String getEnterpriseId() {
		return this.enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getDcId() {
		return this.dcId;
	}

	public void setDcId(String dcId) {
		this.dcId = dcId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getCargoOwnerId() {
		return this.cargoOwnerId;
	}

	public void setCargoOwnerId(String cargoOwnerId) {
		this.cargoOwnerId = cargoOwnerId;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getAdjustDate() {
		return this.adjustDate;
	}

	public void setAdjustDate(Date adjustDate) {
		this.adjustDate = adjustDate;
	}

	public String getSegment1() {
		return this.segment1;
	}

	public void setSegment1(String segment1) {
		this.segment1 = segment1;
	}

	public String getSegment2() {
		return this.segment2;
	}

	public void setSegment2(String segment2) {
		this.segment2 = segment2;
	}

	public String getSegment3() {
		return this.segment3;
	}

	public void setSegment3(String segment3) {
		this.segment3 = segment3;
	}

	public String getSegment4() {
		return this.segment4;
	}

	public void setSegment4(String segment4) {
		this.segment4 = segment4;
	}

	public String getSegment5() {
		return this.segment5;
	}

	public void setSegment5(String segment5) {
		this.segment5 = segment5;
	}

	public String getAccessLevel() {
		return this.accessLevel;
	}

	public void setAccessLevel(String accessLevel) {
		this.accessLevel = accessLevel;
	}

	public Date getGmtCreate() {
		return this.gmtCreate;
	}

	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	public String getCreator() {
		return this.creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getCreatorName() {
		return this.creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Date getGmtModified() {
		return this.gmtModified;
	}

	public void setGmtModified(Date gmtModified) {
		this.gmtModified = gmtModified;
	}

	public String getModifier() {
		return this.modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public String getModifierName() {
		return this.modifierName;
	}

	public void setModifierName(String modifierName) {
		this.modifierName = modifierName;
	}

	public Date getAuditDate() {
		return this.auditDate;
	}

	public void setAuditDate(Date auditDate) {
		this.auditDate = auditDate;
	}

	public String getAuditedName() {
		return this.auditedName;
	}

	public void setAuditedName(String auditedName) {
		this.auditedName = auditedName;
	}

	public String getAuditedBy() {
		return this.auditedBy;
	}

	public void setAuditedBy(String auditedBy) {
		this.auditedBy = auditedBy;
	}

	public BigDecimal getPrintCount() {
		return this.printCount;
	}

	public void setPrintCount(BigDecimal printCount) {
		this.printCount = printCount;
	}

	public Date getPrintDate() {
		return this.printDate;
	}

	public void setPrintDate(Date printDate) {
		this.printDate = printDate;
	}

	public String getPrintedBy() {
		return this.printedBy;
	}

	public void setPrintedBy(String printedBy) {
		this.printedBy = printedBy;
	}

	public String getPrintedName() {
		return this.printedName;
	}

	public void setPrintedName(String printedName) {
		this.printedName = printedName;
	}

	public String getAttribute1() {
		return this.attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return this.attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

	public String getAttribute3() {
		return this.attribute3;
	}

	public void setAttribute3(String attribute3) {
		this.attribute3 = attribute3;
	}

	public String getAttribute4() {
		return this.attribute4;
	}

	public void setAttribute4(String attribute4) {
		this.attribute4 = attribute4;
	}

	public String getAttribute5() {
		return this.attribute5;
	}

	public void setAttribute5(String attribute5) {
		this.attribute5 = attribute5;
	}

	public String getComments() {
		return this.comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public String getSrcBillHId() {
		return srcBillHId;
	}

	public void setSrcBillHId(String srcBillHId) {
		this.srcBillHId = srcBillHId;
	}
}
